This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 45234 - Distribute the platform .zip as its "cluster"
Summary: Distribute the platform .zip as its "cluster"
Status: RESOLVED WONTFIX
Alias: None
Product: www
Classification: Unclassified
Component: Builds & Repositories (show other bugs)
Version: 4.x
Hardware: PC Linux
: P2 blocker (vote)
Assignee: Jaroslav Tulach
URL:
Keywords:
Depends on:
Blocks: 36663
  Show dependency tree
 
Reported: 2004-06-19 09:14 UTC by Jaroslav Tulach
Modified: 2005-11-30 15:54 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
Layout of actual platform product (3.64 KB, text/plain)
2005-01-26 10:24 UTC, rbalada
Details
Layout of actual platform5 cluster (2.93 KB, text/plain)
2005-01-26 10:26 UTC, rbalada
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2004-06-19 09:14:29 UTC
According to the installation proposal 
http://openide.netbeans.org/proposals/arch/installation.html
which describes the platform as a cluster we have
to slightly modify the content of the ZIP file we
build as part of build process (should be the
result of ant -f nbuild/build.xml build-platform)
and use this ZIP file when uploading platform
build on netbeans.org
Comment 1 Jaroslav Tulach 2004-06-19 09:20:41 UTC
The correct build with the right content (as described in
http://openide.netbeans.org/issues/showattachment.cgi?attach_id=15834)
is currently build as part of 

ant -f nbbuild/build.xml zipclusters

I suggest to move the creation of the platform zip file to the
build-platform task and name the resulting zip file
netbeans-*-platform4-*.zip where the "*" should be choosen according
to the naming scheme introduced by rbalada@netbeans.org. 

With my current knowledge and imho the zip file should not contain the
root directory netbeans and all its files should be under platform4
directory.
Comment 2 Jesse Glick 2004-06-20 17:30:10 UTC
Just don't build the ZIP as part of the normal IDE build or you will
slow down developer builds.
Comment 3 Jaroslav Tulach 2004-06-21 08:04:09 UTC
I was considering ant build-platform-nozip to just build the platform
and ant build-platform to build and zip it. This might solve Jesse's
last comment as well, if build-platform-nozip is used in case of when
one wants to whole ide.
Comment 4 Jaroslav Tulach 2004-08-11 11:13:14 UTC
Status please?
Comment 5 rbalada 2005-01-03 15:39:58 UTC
FIXED
Comment 6 Michal Zlamal 2005-01-03 15:45:15 UTC
added missing TM
Comment 7 Jaroslav Tulach 2005-01-04 06:41:52 UTC
Request: The name of the file should contain platform5 not just
platform as that is the most important information.

Request: The zip file should not contain netbeans/extra directory. 

Suggestion: Imho it would be better if the zip file contained files
without netbeans prefix. Just /platform5/....
Comment 8 rbalada 2005-01-26 10:24:24 UTC
Created attachment 19972 [details]
Layout of actual platform product
Comment 9 rbalada 2005-01-26 10:26:14 UTC
Created attachment 19973 [details]
Layout of actual platform5 cluster
Comment 10 rbalada 2005-01-26 10:35:30 UTC
Yarda,

it looks like we cannot agree what should be in the platform product.
I've attached layout files of each package type. 

We have following options:
- keep it as it is
- change platform product te equal to platform5 cluster package
- compromise solution, distribute both packages -> actual platform
.zip and newly platform5 cluster .zip packages
Comment 11 Michal Zlamal 2005-06-09 12:01:17 UTC
Jardo could you please comment?
Comment 12 Jaroslav Tulach 2005-11-30 15:54:25 UTC
Probably will not change, anyway...